usb_gadget_unregister_driver
Prev | Core Objects and Methods | Next

## Name

usb_gadget_unregister_driver — unregister a gadget driver

## Synopsis

`int usb_gadget_unregister_driver (` | struct usb_gadget_driver * | driver`)`;

## Arguments

`driver`

  the driver being unregistered

## Description

Call this in your gadget driver's module cleanup function, to tell the underlying usb controller that your driver is going away. If the controller is connected to a USB host, it will first `disconnect`. The driver is also requested to `unbind` and clean up any device state, before this procedure finally returns. It's expected that the `unbind` functions will in in exit sections, so may not be linked in some kernels. This function must be called in a context that can sleep.

Prev | Up | Next
usb_gadget_register_driver | Home | struct usb_string